import NodeGit from 'nodegit';
export declare function getRepository(path: string): Promise<NodeGit.Repository>;
export declare function getBranch(repo: NodeGit.Repository, branchName: string): Promise<NodeGit.Reference>;
export declare function getLocalBranches(repo: NodeGit.Repository): Promise<NodeGit.Reference[]>;
export declare function getBranchCommits(repo: NodeGit.Repository, branch: NodeGit.Reference): Promise<NodeGit.Commit[]>;
export interface BranchSummary {
    name: string;
    isHead: boolean;
}
export declare function branchToBranchSummary(branch: NodeGit.Reference): BranchSummary;
export interface CommitSummary {
    sha: string;
    message: string;
}
export declare function commitToCommitSummary(commit: NodeGit.Commit): CommitSummary;
